function iMycartBind(){
 var object_mycart = $(".cart_detail");
 $(".s_cart").bind("mouseover",function(){
  object_mycart.show();        
 }).bind("mouseleave",function() {
  object_mycart.hide();       
 });
  }
  $(function() {
   //show-mycart
   iMycartBind();
   $(".cart_pro").find(".cart_del").click(function(){
			
	   })
  
 //show-all-category
	var object_category = $("#all_category_menu");
	$("#all_category_menu").bind("mouseover",function() {
		object_category.show();
	}).bind("mouseleave",function() {
		object_category.hide();   
	});
	//del-mycart-items
	
  
  });


$(function(){
	$('a,input[type="button"],input[type="submit"],input[type="image"]').bind('focus',function(){
		if(this.blur){
			this.blur();         
	    };      
    });  
});


$(function(){
	$('.pd_b_box').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});

$(function(){
	$('.pd_s_box').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});

$(function(){
	$('.products_box').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});

$(function(){
	$('.product_box').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});

$(function(){
	$('.browse_box').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});

$(function(){
	$('.com_box').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});
$(function(){
	$('.tcbox').hover(function(){
			$(this).addClass('divOver');		
		},function(){
			$(this).removeClass('divOver');	
		}
	);
});


function delProductFromTop(productId,updateUrl){
  	delProduct(productId,updateUrl);
  }

function delProduct(productId,updateUrl) {
  	var reAddUrl = updateUrl.replace('update','addfromcart');
  	var delTr = '<tr id="delrow'+productId+'">';
  	delTr = delTr + '<td>'+jQuery('#row'+productId+' td').eq(0).html()+'</td>';
  	delTr = delTr + '<td>'+jQuery('#row'+productId+' td').eq(1).html()+'</td>';
  	delTr = delTr + '<td>'+jQuery('#row'+productId+' td').eq(2).html()+'</td>';
  	delTr = delTr + '<td>'+jQuery('#row'+productId+' td').eq(3).html()+'</td>';
  	delTr = delTr + '<td>'+jQuery('#row'+productId+' td input').val()+'</td>';
  	jQuery.ajax({
  		type: "POST",
  		url: updateUrl,
  		dataType: 'json',
  		data: 'cart['+productId+'][qty]=0',
  		success: function(data, textStatus){
  			if(data.result){
  				jQuery('#shopping_cart_form_div').html(data.cart);
  				jQuery('#top_cart').html(data.topcart);
  				iMycartBind();
  			}
  			jQuery('#shopping_cart_form_message').html(data.message);
  			jQuery('#shopping_cart_form_message').show();
  			
  			jQuery('#deleteProduct').show();
  			jQuery('#deleteProductList').show();
  			delTr = delTr + '<td><a href="#nogo" onclick="reAdd(\''+reAddUrl+'\','+data.productId+',this);">重新购买</a></td></tr>';
  			jQuery('#deleteProductListTable tbody').append(delTr);
  		},
  		error:function(){
  			alert('更新购物车失败，请稍候再试!');
  		}
  	});
  }
function setLocation(url){
    window.location.href = url;
}

